%define upstream_name    Swagger2
%define upstream_version 0.85

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

License:    Artistic
Group:      Development/Perl
Summary:    module for generating, parsing and transforming swagger API specification
Url:        https://metacpan.org/pod/Swagger2
Source0:    https://cpan.metacpan.org/authors/id/J/JH/JHTHORSEN/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON::Validator) >= 0.630.0
BuildRequires: perl(Mojolicious) >= 6.0.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warnings) >= 0.16.0
BuildRequires: perl-JSON-Validator
BuildRequires: perl-Mojolicious
BuildRequires: perl-Test-Warnings
%{?perl_default_filter}

%description
Module for generating, parsing and transforming swagger API specification.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{make}

%check
%{make} test

%install
%{make_install}

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Sep 03 2016 bcornec <bcornec> 0.850.0-1.mga6
+ Revision: 1049858
- Update to upstream version 0.85 for perl-Swagger2

* Sun Jun 19 2016 pterjan <pterjan> 0.770.0-2.mga6
+ Revision: 1033575
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.770.0-1.mga6
+ Revision: 1002300
- update to 0.77

* Mon Feb 01 2016 bcornec <bcornec> 0.700.0-1.mga6
+ Revision: 930822
- Improve BuildRequires deps
- Requires Mojolicious to build
- import the perl Swagger2 module
- Created package structure for perl-Swagger2.

